CustomFeatureCreateFeatureGeometryEvent Class

class NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent

Bases: NXOpen.Features.CustomFeatureEvent

Represents the event data for a create geometry callback for a custom feature

Only create the geometry here and specify tracking. Addition of the attributes and any dependency can be done in NXOpen.Features.CustomFeaturePostUpdateEvent.

This class cannot be created

New in version NX11.0.0.

Properties

Property Description
ErrorCode Returns or sets the error occured during the event
Tag Returns the Tag for this object.

Methods

Method Description
AppendOutputTrackingData Adds the tracking data for a feature
CopyNXBody Creates a Parasolid copy of an NX Body
CreateTrackingDataForNXObject Creates the tracking data for an NX object
CreateTrackingDataForParasolidEntity Creates the tracking data for a Parasolid face or edge id
GetBodies Gets the Parasolid bodies of a custom feature
GetConstructionFeatures The custom feature get construction features
GetCustomFeature Get the custom feature of the event
GetNXObject Returns the Solid body
GetOutputFeatures The output features created in post update event
GetParasolidId Get the Parasolid tag of Solid body
SetBodies Sets the Parasolid bodies of a custom feature

Method Detail

AppendOutputTrackingData

CustomFeatureCreateFeatureGeometryEvent.AppendOutputTrackingData

Adds the tracking data for a feature

Signature AppendOutputTrackingData(trackingData)

Parameters:trackingData (list of NXOpen.Features.TrackingData) –

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CopyNXBody

CustomFeatureCreateFeatureGeometryEvent.CopyNXBody

Creates a Parasolid copy of an NX Body

Signature CopyNXBody(solidTag)

Parameters:solidTag (NXOpen.Body) –
Returns:a tuple
Return type:A tuple consisting of (parasolidBodyId, sourceFaces, parasolidFaceIds, sourceEdges, parasolidEdgeId). parasolidBodyId is a int. The Parasolid id of copied body sourceFaces is a list of NXOpen.Face. The array of source facesparasolidFaceIds is a list of int. The array of corresponding copied Parasolid facessourceEdges is a list of NXOpen.Edge. The array of source edgesparasolidEdgeId is a list of int. The array of corresponding copied Parasolid edges

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateTrackingDataForNXObject

CustomFeatureCreateFeatureGeometryEvent.CreateTrackingDataForNXObject

Creates the tracking data for an NX object

Signature CreateTrackingDataForNXObject(nxObject)

Parameters:nxObject (NXOpen.TaggedObject) – The NX object for creating tracking data
Returns:
Return type:NXOpen.Features.TrackingData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateTrackingDataForParasolidEntity

CustomFeatureCreateFeatureGeometryEvent.CreateTrackingDataForParasolidEntity

Creates the tracking data for a Parasolid face or edge id

Signature CreateTrackingDataForParasolidEntity(parasolidId)

Parameters:parasolidId (int) – The Parasolid id of entity for creating tracking data
Returns:
Return type:NXOpen.Features.TrackingData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetBodies

CustomFeatureCreateFeatureGeometryEvent.GetBodies

Gets the Parasolid bodies of a custom feature

Signature GetBodies()

Returns:The Array of output Bodies
Return type:list of int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetBodies

CustomFeatureCreateFeatureGeometryEvent.SetBodies

Sets the Parasolid bodies of a custom feature

Signature SetBodies(bodies)

Parameters:bodies (list of int) – The Array of input Bodies

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)